# HG changeset patch
# User Frank-Rainer Grahl <frgrahl@gmx.net>
# Parent  bc5cc2cf319751a854bfe1495cbf10b38d621427
Bug 1475799 - Change add-ons location in SeaMonkey to addons.thunderbird.net and clean up default bookmarks and other references.

diff -r bc5cc2cf3197 suite/chrome/branding/brand.properties
--- a/suite/chrome/branding/brand.properties	Sun May 26 15:55:01 2019 +0200
+++ b/suite/chrome/branding/brand.properties	Sun Jun 16 20:14:57 2019 +0000
@@ -7,8 +7,5 @@
 brandShorterName=SeaMonkey
 vendorShortName=SeaMonkey
 sidebarName=Sidebar
-extensions.getMoreThemesURL=https://addons.mozilla.org/%LOCALE%/%APP%/complete-themes/
-extensions.getPersonasURL=https://addons.mozilla.org/%LOCALE%/%APP%/themes/?sort=up-and-coming
-spellchecker.dictionaries.download.url=https://addons.mozilla.org/%LOCALE%/%APP%/dictionaries
 app.releaseNotesURL=http://www.seamonkey.at/releases/%VERSION%
 app.vendorURL=http://www.seamonkey.at/
diff -r bc5cc2cf3197 suite/chrome/mailnews/start.dtd
--- a/suite/chrome/mailnews/start.dtd	Sun May 26 15:55:01 2019 +0200
+++ b/suite/chrome/mailnews/start.dtd	Sun Jun 16 20:14:57 2019 +0000
@@ -20,9 +20,8 @@
 "Enge Integration in die &brandShortName; Anwendungsreihe">
 <!ENTITY dict.title "Wörterbücher">
 <!ENTITY dict_intro.label "Wörterbücher werden zur Rechtschreibprüfung Ihrer Nachrichten verwendet.">
-<!--# LOCALIZATION NOTE (dict_info.label): the URL for <a id="dictURL"> is fetched from brand.properties -->
-<!ENTITY dict_info.label
-'Viele zusätzliche Sprachen können über den <a id="dictURL" href="">&quot;Wörterbücher&quot;</a>-Bereich auf <a href="http://addons.mozilla.org/seamonkey/">Add-ons für SeaMonkey</a> installiert werden.'>
+<!ENTITY dict_info.label2
+'Viele zusätzliche Sprachen können über den <a id="dictURL" href="">&quot;Wörterbücher&quot;</a>-Bereich auf <a href="http://addons.thunderbird.net/seamonkey/">Add-ons für SeaMonkey</a> installiert werden.'>
 <!ENTITY info.title "Weitere Informationen">
 <!--# LOCALIZATION NOTE (info_bugs.label): the URL for <a id="releaseNotesURL"> is fetched from brand.properties -->
 <!ENTITY info_bugs.label
diff -r bc5cc2cf3197 suite/profile/bookmarks.inc
--- a/suite/profile/bookmarks.inc	Sun May 26 15:55:01 2019 +0200
+++ b/suite/profile/bookmarks.inc	Sun Jun 16 20:14:57 2019 +0000
@@ -11,45 +11,33 @@
 #define seamonkey_and_mozilla SeaMonkey und Mozilla
 
 # LOCALIZATION NOTE (seamonkey):
-# link title for http://www.seamonkey-project.org/ (in the personal toolbar)
+# link title for https://www.seamonkey-project.org/ (in the personal toolbar)
 #define seamonkey SeaMonkey
 
 # LOCALIZATION NOTE (seamonkey_long):
-# link title for http://www.seamonkey-project.org/ (in normal bookmarks)
+# link title for https://www.seamonkey-project.org/ (in normal bookmarks)
 #define seamonkey_long Das SeaMonkey-Projekt
 
-# LOCALIZATION NOTE (mozilla_org):
-# link title for http://www.mozilla.org/ (in the personal toolbar)
-#define mozilla_org mozilla.org
-
 # LOCALIZATION NOTE (mozilla_org_long):
-# link title for http://www.mozilla.org/ (in normal bookmarks)
+# link title for https://www.mozilla.org/ (in normal bookmarks)
 #define mozilla_org_long Die Mozilla-Organisation
 
-# LOCALIZATION NOTE (mozilla_projects):
-# link title for http://www.mozilla.org/projects/
-#define mozilla_projects Mozilla-Projekte
-
-# LOCALIZATION NOTE (mozilla_about):
-# link title for http://www.mozilla.org/about/
-#define mozilla_about Über Mozilla
-
 #define extend_seamonkey SeaMonkey erweitern
 
 # LOCALIZATION NOTE (seamonkey_addons):
-# link title for https://en-US.add-ons.mozilla.com/en-US/seamonkey/
+# link title for https://addons.thunderbird.net/en-US/seamonkey/
 #define seamonkey_addons SeaMonkey-Add-ons
 
 # LOCALIZATION NOTE (seamonkey_themes):
-# link title for https://en-US.add-ons.mozilla.com/en-US/seamonkey/themes
+# link title for https://addons.thunderbird.net/en-US/seamonkey/themes
 #define seamonkey_themes SeaMonkey-Themes
 
 # LOCALIZATION NOTE (seamonkey_dictionaries):
-# link title for https://en-US.add-ons.mozilla.com/en-US/seamonkey/dictionaries
+# link title for https://addons.thunderbird.net/en-US/seamonkey/dictionaries
 #define seamonkey_dictionaries Wörterbücher für die Rechtschreibprüfung
 
 # LOCALIZATION NOTE (seamonkey_plugins):
-# link title for https://en-US.add-ons.mozilla.com/en-US/seamonkey/plugins
+# link title for https://addons.thunderbird.net/en-US/seamonkey/plugins
 #define seamonkey_plugins Plugins für SeaMonkey
 
 # LOCALIZATION NOTE (mozdev):
@@ -63,7 +51,7 @@
 #define community_support Gemeinschaft &amp; Unterstützung
 
 # LOCALIZATION NOTE (seamonkey_community):
-# link title for http://www.seamonkey-project.org/community
+# link title for https://www.seamonkey-project.org/community
 #define seamonkey_community SeaMonkey-Gemeinschaft
 
 # LOCALIZATION NOTE (mozillazine):
@@ -76,12 +64,12 @@
 
 # LOCALIZATION NOTE (seamonkey_l10n):
 # insert full bookmark line for localized SeaMonkey page (personal toolbar)
-# e.g. #define seamonkey_l10n <DT><A HREF="http://www.seamonkey.tlh/">SeaMonkey tlhIngan</a>
-#define seamonkey_l10n <DT><A HREF="http://www.seamonkey.at/">SeaMonkey deutsch</a>
+# e.g. #define seamonkey_l10n <DT><A HREF="https://www.seamonkey.tlh/">SeaMonkey tlhIngan</a>
+#define seamonkey_l10n <DT><A HREF="https://www.seamonkey.at/">SeaMonkey deutsch</a>
 
 # LOCALIZATION NOTE (seamonkey_l10n_long):
 # insert full bookmark line for localized SeaMonkey page (normal bookmark)
-# e.g. #define seamonkey_l10n <DT><A HREF="http://www.seamonkey.tld/">tlhIngan Hol SeaMonkey</a>
-#define seamonkey_l10n_long <DT><A HREF="http://www.seamonkey.at/">SeaMonkey in deutscher Sprache</a>
+# e.g. #define seamonkey_l10n <DT><A HREF="https://www.seamonkey.tld/">tlhIngan Hol SeaMonkey</a>
+#define seamonkey_l10n_long <DT><A HREF="https://www.seamonkey.at/">SeaMonkey in deutscher Sprache</a>
 
 #unfilter emptyLines
